"use strict";
const sheep_request_index = require("../../request/index.js");
const CategoryApi = {
  // 查询分类列表
  getCategoryList: () => {
    return sheep_request_index.request({
      url: "/product/category/list",
      method: "GET"
    });
  },
  // 查询分类列表，指定编号
  getCategoryListByIds: (ids) => {
    return sheep_request_index.request({
      url: "/product/category/list-by-ids",
      method: "GET",
      params: { ids }
    });
  }
};
exports.CategoryApi = CategoryApi;
