"use strict";
const sheep_index = require("../../../../index.js");
const sheep_components_sShareModal_canvasPoster_poster_index = require("./index.js");
const user = (poster) => {
  const width = poster.width;
  const userInfo = sheep_index.sheep.$store("user").userInfo;
  return {
    background: sheep_components_sShareModal_canvasPoster_poster_index.formatImageUrlProtocol(sheep_index.sheep.$url.cdn(sheep_index.sheep.$store("app").platform.share.posterInfo.user_bg)),
    list: [
      {
        name: "nickname",
        type: "text",
        val: userInfo.nickname,
        x: width / 2,
        y: width * 0.4,
        paintbrushProps: {
          textAlign: "center",
          fillStyle: "#333",
          font: {
            fontSize: 14,
            fontFamily: "sans-serif"
          }
        }
      },
      {
        name: "avatar",
        type: "image",
        val: sheep_components_sShareModal_canvasPoster_poster_index.formatImageUrlProtocol(sheep_index.sheep.$url.cdn(userInfo.avatar)),
        x: width * 0.4,
        y: width * 0.16,
        width: width * 0.2,
        height: width * 0.2,
        d: width * 0.2
      },
      {
        name: "wxacode",
        type: "image",
        val: sheep_index.sheep.$api.third.wechat.getWxacode(poster.shareInfo.path),
        x: width * 0.35,
        y: width * 0.84,
        width: width * 0.3,
        height: width * 0.3
      }
    ]
  };
};
exports.user = user;
