"use strict";
const sheep_request_index = require("../../request/index.js");
const CommentApi = {
  // 获得商品评价分页
  getCommentPage: (spuId, pageNo, pageSize, type) => {
    return sheep_request_index.request({
      url: "/product/comment/page",
      method: "GET",
      params: {
        spuId,
        pageNo,
        pageSize,
        type
      },
      custom: {
        showLoading: false,
        showError: false
      }
    });
  }
};
exports.CommentApi = CommentApi;
