"use strict";
const sheep_request_index = require("../../request/index.js");
const DiyApi = {
  getUsedDiyTemplate: () => {
    return sheep_request_index.request({
      url: "/promotion/diy-template/used",
      method: "GET",
      custom: {
        showError: false,
        showLoading: false
      }
    });
  },
  getDiyTemplate: (id) => {
    return sheep_request_index.request({
      url: "/promotion/diy-template/get",
      method: "GET",
      params: {
        id
      },
      custom: {
        showError: false,
        showLoading: false
      }
    });
  },
  getDiyPage: (id) => {
    return sheep_request_index.request({
      url: "/promotion/diy-page/get",
      method: "GET",
      params: {
        id
      }
    });
  }
};
exports.DiyApi = DiyApi;
